import { FC, ReactNode } from "react";
import { ReadyState } from "react-use-websocket";
import { JsonObject, JsonArray, Options, JsonValue } from "react-use-websocket/dist/lib/types";
interface ContextType {
    connectionStatus: ReadyState;
    sendMessage: (message: JsonObject | JsonArray) => void;
    lastMessage: JsonValue | null;
    changeConnectionUrl: (url: string) => void;
}
declare type ConnectionOptions = Options;
interface ConnectionProviderParams {
    children: ReactNode;
    socketUrl: string;
    options: ConnectionOptions;
}
declare const ConnectionProvider: FC<ConnectionProviderParams>;
export declare const useConnection: () => ContextType;
export default ConnectionProvider;
